--[[
Class to manage the config tab of the config dialog for the add-on.
--]]

uab.classes.GeneralTab = uab.mixins.aceOO.Class(uab.interfaces.cfgdlgtab)

function uab.classes.GeneralTab.prototype:init(frame)
    uab.classes.GeneralTab.super.prototype.init(self)
    
    self.frame = frame
    self.frames = {}
    self.frames.controls = getglobal(self.frame:GetName().."Controls")
end    

function uab.classes.GeneralTab.prototype:GetFrame()
    return self.frame
end
                
function uab.classes.GeneralTab.prototype:Activate()
    self.frames.controls:Show()
end
                
function uab.classes.GeneralTab.prototype:Deactivate()
    self.frames.controls:Hide()
end

